﻿using System;
using System.Runtime.InteropServices;

class Program
{
    static void Main()
    {
        using var cloud = new PclPointCloud();
        cloud.Load("./dataset/0.pcd");

        using var voxel = new PclVoxelGrid();
        voxel.SetLeafSize(0.1f, 0.1f, 0.1f);
        voxel.SetInputCloud(cloud);

        using var filtered = voxel.Filter();
        filtered.Save("output.pcd");
    }
}